Bug 1118635 - Entitltments subtracted from all child channels
Summary: Entitltments subtracted from all child channels
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 560
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat570-triage
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:14 UTC by Christophe Augello
Modified: 2018-12-06 17:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-07 18:27:20 UTC


Attachments (Terms of Use)

Description Christophe Augello 2014-07-11 08:14:14 UTC
Description of problem:

Entitlements are subtracted from all child channels.
The WebUI shows 1 entitlement consumed , the CLI show 2 entitlements consumed.

Version-Release number of selected component (if applicable):

5.6

How reproducible:

[root@do-rh-sat1 tis]# satellite-sync --email
16:11:05 Red Hat Satellite - live synchronization
16:11:05    url: https://satellite.rhn.redhat.com
16:11:05    debug/output level: 1
16:11:06    db:  rhnuser/<password>@rhnschema
16:11:06
16:11:06 Retrieving / parsing channel-families data
16:11:09 channel-families data complete
16:11:09
16:11:09 Retrieving / parsing product names data
16:11:10 product names data complete
Certificate specifies 64 of jb-ews channel family entitlements.
    There are 72 systems in the base organization, all virtual (flex-capable).
    You might need to unentitle some systems in the base organization.
    You need to free 8 entitlements to match the new certificate.
Activation failed, will now exit with no changes.
+++ sending log as an email +++
[root@do-rh-sat1 tis]#

<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-appplatform"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-appplatform-fp"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-ewp"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-ews"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-middleware"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jb-wfk"/>
<rhn-cert-field name="channel-families" flex="0" quantity="64" family="jbdevstudio"/>

"Red Hat JBoss Web Server" contains three channels:
Red Hat JBoss Web Server (v 2) for 6Server x86_64
Red Hat JBoss Web Server (v 1) for 5Server x86_64
Red Hat JBoss Web Server (v 1) for 6Server x86_64

Steps to Reproduce:
1. Attach a system to Red Hat JBoss Web Server (v 1) for 6Server x86_64 channel
2. run satellite-sync --email : 1 entitlement subtracted
3. Attach the same system to Red Hat JBoss Web Server (v 2) for 6Server x86_64 channel
4. run satellite-sync --email : 1 more entitlement subtracted from the same family from the same system
5. Go to Admin -> Subscriptions -> Software Channel Entitlements -> <filter out for the jboss channel>
6. On the page only one entitlement has been consumed

Actual results:

1 same system attached to 2 channels from the same family (JBOSS Web Server) consumes 1 entitlement in the WebUI but 2 in the CLI.

Expected results:

1 same system attached to 2 channels from the same family consumes 1 entitlement in the WebUI and the CLI


Additional info:

Comment 1 Clifford Perry 2014-07-15 09:31:01 UTC
(In reply to Christophe Augello from comment #0)
> Description of problem:
> 
> Entitlements are subtracted from all child channels.
> The WebUI shows 1 entitlement consumed , the CLI show 2 entitlements
> consumed.
> 
> Version-Release number of selected component (if applicable):
> 
> 5.6
> 
> How reproducible:
> 
> [root@do-rh-sat1 tis]# satellite-sync --email
> 16:11:05 Red Hat Satellite - live synchronization
> 16:11:05    url: https://satellite.rhn.redhat.com
> 16:11:05    debug/output level: 1
> 16:11:06    db:  rhnuser/<password>@rhnschema
> 16:11:06
> 16:11:06 Retrieving / parsing channel-families data
> 16:11:09 channel-families data complete
> 16:11:09
> 16:11:09 Retrieving / parsing product names data
> 16:11:10 product names data complete
> Certificate specifies 64 of jb-ews channel family entitlements.
>     There are 72 systems in the base organization, all virtual
> (flex-capable).
>     You might need to unentitle some systems in the base organization.
>     You need to free 8 entitlements to match the new certificate.
> Activation failed, will now exit with no changes.
> +++ sending log as an email +++
> [root@do-rh-sat1 tis]#
> 
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-appplatform"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-appplatform-fp"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-ewp"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-ews"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-middleware"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jb-wfk"/>
> <rhn-cert-field name="channel-families" flex="0" quantity="64"
> family="jbdevstudio"/>
> 
> "Red Hat JBoss Web Server" contains three channels:
> Red Hat JBoss Web Server (v 2) for 6Server x86_64
> Red Hat JBoss Web Server (v 1) for 5Server x86_64
> Red Hat JBoss Web Server (v 1) for 6Server x86_64
> 
> Steps to Reproduce:
> 1. Attach a system to Red Hat JBoss Web Server (v 1) for 6Server x86_64
> channel
> 2. run satellite-sync --email : 1 entitlement subtracted
> 3. Attach the same system to Red Hat JBoss Web Server (v 2) for 6Server
> x86_64 channel
> 4. run satellite-sync --email : 1 more entitlement subtracted from the same
> family from the same system
> 5. Go to Admin -> Subscriptions -> Software Channel Entitlements -> <filter
> out for the jboss channel>
> 6. On the page only one entitlement has been consumed
> 
> Actual results:
> 
> 1 same system attached to 2 channels from the same family (JBOSS Web Server)
> consumes 1 entitlement in the WebUI but 2 in the CLI.
> 
> Expected results:
> 
> 1 same system attached to 2 channels from the same family consumes 1
> entitlement in the WebUI and the CLI
> 

Incorrect. If a system consumes two channels from a single channel family that system has consumed two entitlements from that channel family. That is my expected results. The bug is that somewhere isn't correctly doing this initially. 

Cliff
> 
> Additional info:

Comment 2 Grant Gainey 2014-10-07 18:27:20 UTC
The channel-family is the 'owner' of entitlement-numbers. Subscribing a system to a given channel, consumes one entitlement from the channel-family to which that channel belongs.

In this case, all of the "Red Hat JBoss Web Server" channels belong to the same channel-family, jb-ews. Subscribing a single server to both "Red Hat JBoss Web Server (v 2)" and to "Red Hat JBoss Web Server (v 1)" causes that system to consume two jb-ews entitlements.

I've made repeated attempts using Sat5.6 and the steps listed here, and have not found a way to get anything other than the expected results - subscribing the same system to more than one Jboss Web Server channel, consumes multiple Red Hat JBoss Web Server entitlements.

Closing as NOTABUG. If you can find some path that shows something *other than* "subscribing to these two child-channels consumes two entitlements", please add to the BZ and reopen.


Note You need to log in before you can comment on or make changes to this bug.